aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorecashin@coraid.com <ecashin@coraid.com>2005-04-18 22:00:19 -0700
committerGreg KH <greg@press.kroah.org>2005-04-18 22:00:19 -0700
commitfa83c2ddd4293bd8bcaeeaf14bfdbf2fbe810420 (patch)
tree9c01fd2b1285b5340d8e1e7e29397897536bf5e4
parentb68650fd3f31d47426a2b1c6cfad904880258423 (diff)
downloadlinux-2.6.38-lt-ux500-fa83c2ddd4293bd8bcaeeaf14bfdbf2fbe810420.tar.gz
[PATCH] aoe 4/12: handle distros that have a udev rules
handle distros that have a udev rules file instead of dir Signed-off-by: Ed L. Cashin <ecashin@coraid.com> Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
-rw-r--r--Documentation/aoe/udev-install.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/Documentation/aoe/udev-install.sh b/Documentation/aoe/udev-install.sh
index 861a27f9877..6449911c6a7 100644
--- a/Documentation/aoe/udev-install.sh
+++ b/Documentation/aoe/udev-install.sh
@@ -23,4 +23,8 @@ fi
# /etc/udev/rules.d
#
rules_d="`sed -n '/^udev_rules=/{ s!udev_rules=!!; s!\"!!g; p; }' $conf`"
-test "$rules_d" && sh -xc "cp `dirname $0`/udev.txt $rules_d/60-aoe.rules"
+if test -z "$rules_d" || test ! -d "$rules_d"; then
+ echo "$me Error: cannot find udev rules directory" 1>&2
+ exit 1
+fi
+sh -xc "cp `dirname $0`/udev.txt $rules_d/60-aoe.rules"